--- /dev/null
+#!/bin/sh
+echo -n "Would you like to install binary packages from the CD? (y/N) "
+read y
+if [ "$y" = y ]
+then echo "Ok, showing you a list of packages, please type y"
+ echo "for every package you want installed."
+ /usr/bin/packme
+else echo "Ok, not installing binary packages."
+fi
+echo "Use the 'packme' command after rebooting MINIX to get another chance"
+echo "to install binary packages."
fi
fi
-echo "Saving random data.."
+echo "Install is done. Running postinstall script.."
+
+# Now chroot-mount the new system and run the postinstall script
+mount /dev/$root /mnt || exit 1
+mount /dev/$usr /mnt/usr || exit 1
+chroot /mnt '/bin/sh /usr/src/commands/scripts/postinstall.sh'
+
+echo "Postinstall script done. Saving random data.."
dd if=/dev/random of=/mnt/adm/random.dat bs=1024 count=1
echo "